summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-02-10 16:02:53 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2011-02-10 16:02:53 +0100
commit3ccce9f9a1b7bb22878c61de1256cb5ec3413d5a (patch)
tree213ce696ef38b4ade15b36b4b12483115915e582 /scripts
parentb4fe3943815cb5306ed062e593547d7698dfd0b7 (diff)
add basic ccache support
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 956892e5f..c92c6c107 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -326,4 +326,11 @@ if [[ -n $NEED_PYTHON ]]; then
fi
fi
+if [[ -n $ADK_USE_CCACHE ]]; then
+ if ! which ccache >/dev/null 2>&1; then
+ echo >&2 You have selected to build with ccache, but ccache could not be found.
+ out=1
+ fi
+fi
+
exit $out